package ppx_import

  1. Overview
  2. Docs
A syntax extension for importing declarations from interface files

Install

Authors

Maintainers

Sources

ppx_import-1.10.0.tbz
sha256=300f2c7f417b0a1d702432fc13ce3bd2e90ac7b2a2796ca35899c942ca81556f
sha512=835d5abff0f1eba28313f5925beaeb8c27a4458c91cf395fdd28b984b0745aad8725b4a8a921517ad09ed567ff8586f48a4afa4127eab6c2f773efc5d50c40fb

Description

Tags

syntax

Published: 14 Jun 2022

Dependencies (4)

  1. ppxlib >= "0.26.0"
  2. dune >= "1.11.0"
  3. ocaml >= "4.10.0"
  4. ocaml >= "4.05.0" & < "4.10.0"

Dev Dependencies (3)

  1. ppx_deriving with-test & >= "4.2.1"
  2. ounit with-test
  3. ppx_sexp_conv with-test & >= "v0.13.0"

Used by (12)

  1. coq-serapi
  2. elpi >= "1.10.0" & < "1.11.0"
  3. frama-c >= "25.0~beta"
  4. goblint < "1.1.1"
  5. modelica_ml >= "0.2.0"
  6. pa_ppx < "0.07" | >= "0.10"
  7. ppx_deriving_cmdliner < "0.6.0"
  8. ppx_deriving_morphism
  9. systemverilog < "0.0.2"
  10. tezos-scoru-wasm-helpers
  11. uwt < "0.3.3"
  12. wikitext

Conflicts

None